@echo off

SET DB=RAMDB
SET DB2LOCATION=C:\Program Files\IBM\SQLLIB

SET /P DB=Enter the name of the database: [RAMDB]
SET /P DB2LOCATION=Enter the install location of DB2: [C:\Program Files\IBM\SQLLIB]

echo.
echo Creating Database %DB%...
echo.
"%DB2LOCATION%\bin\db2cmd.exe" /c /w /i db2 CREATE DATABASE %DB% USING CODESET UTF-8 TERRITORY US

SET DB2CONTAINERLOCATION=C:\DB2\NODE0000\%DB%
SET /P DB2CONTAINERLOCATION=Enter the DB2 Container location of your database: [C:\DB2\NODE0000\%DB%]

> %TEMP%.\db_tempspaces.sql echo CREATE BUFFERPOOL IBMDEFAULTBP16K IMMEDIATE SIZE 250 PAGESIZE 16 K;

>> %TEMP%.\db_tempspaces.sql echo CREATE SYSTEM TEMPORARY TABLESPACE TEMPSPACE16K PAGESIZE 16 K MANAGED BY SYSTEM USING ('%DB2CONTAINERLOCATION%\TMPSPACE16K' ) EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL IBMDEFAULTBP16K;

>> %TEMP%.\db_tempspaces.sql echo CREATE USER TEMPORARY TABLESPACE UTMPSPACE16K PAGESIZE 16 K MANAGED BY SYSTEM USING ('%DB2CONTAINERLOCATION%\LOCALUTF\UTMPSPACE16K' ) EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL IBMDEFAULTBP16K;
>> %TEMP%.\db_tempspaces.sql echo CREATE REGULAR TABLESPACE USERSPACE16K PAGESIZE 16 K MANAGED BY SYSTEM USING ('%DB2CONTAINERLOCATION%\LOCALUTF\USERSPACE16K' ) EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL IBMDEFAULTBP16K DROPPED TABLE RECOVERY OFF;


echo.
echo Creating temp spaces in %DB2CONTAINERLOCATION% for %DB%...
echo.
"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f %TEMP%.\db_tempspaces.sql -r db_tempspaces.log
"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f RAMSCHEMA.sql -r RAMSCHEMA.log
"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f bootStrap.sql -r bootStrap.log


